LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices



Reply
 
Search this Thread
Old 04-21-2011, 10:16 AM   #1
Robert.Thompson
Member
 
Registered: Nov 2009
Location: Montreal, Quebec, Canada
Distribution: Slackware 13.37 -32 Bit
Posts: 578

Rep: Reputation: 49
Try to install FlameRobin under Slackware -current & have a "wxWindows" error.


Hello:

I am trying to install FlameRobin, a database administration tool for Firebird RDBMS. I downloaded: flamerobin-0.9.2-src.tar.gz and extracted it. When I do ./configure, I get this error msg:
Code:
checking for wx-config... no
configure: error:
     	   wxWindows must be installed on your system
     	   but wx-config script couldn't be found.

     	   Please check that wx-config is in path, the directory
     	   where wxWindows libraries are installed (returned by
     	   'wx-config --libs' command) is in LD_LIBRARY_PATH or
     	   equivalent variable and wxWindows version is 2.8.0 or above.
I tried to find wxWindows in SlackBuilds using SBOPKG but it wasn't there.

Am I doing something wrong? (like maybe I downloaded the wrong file or something)

If not, where can I find wxWindows for Slackware -current?

Thanks,
 
Old 04-21-2011, 10:39 AM   #2
GazL
Senior Member
 
Registered: May 2008
Posts: 3,503

Rep: Reputation: 1025Reputation: 1025Reputation: 1025Reputation: 1025Reputation: 1025Reputation: 1025Reputation: 1025Reputation: 1025
Does it perhaps mean wxWidgets? or is wxWindows something else?

It's called wxX11 on slackbuilds.org just to make matters even more confusing.
 
Old 04-21-2011, 10:48 AM   #3
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014.08, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,272

Rep: Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663
Slackbuilds.org http://slackbuilds.org/result/?search=wx&sv=13.1

Search : wx >>> wxGTK ( 2.8.11 )

( wx-config -> is a link to $PREFIX/lib/wx/config/gtk2-ansi-release-2.8 )


wx names : wxWidgets, wxWindows, wxGTK, wxPython ... it's all about the same.

P.S. : wxX11 is a version 2.8.7 .

..
 
Old 04-21-2011, 11:05 AM   #4
Robert.Thompson
Member
 
Registered: Nov 2009
Location: Montreal, Quebec, Canada
Distribution: Slackware 13.37 -32 Bit
Posts: 578

Original Poster
Rep: Reputation: 49
Thank you!

I installed wxX11.

Then I ran './configure' & received no errors. Then I ran 'make' and got these errors:
Code:
bash-4.1# make
cd . && ./update-svn-rev.sh
/home/rob/Downloads/flamerobin-0.9.2-src/bk-deps g++ -c -o flamerobin_addconstrainthandler.o -I./.pch/flamerobin -DHAVE_FRCONFIG_H   -DIBPP_LINUX -I. -I./src -I./src/ibpp -I./res -I/usr/lib/wx/include/base-ansi-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -pthread -DWX_PRECOMP -g -O2 ./src/addconstrainthandler.cpp
In file included from ./src/gui/MultilineEnterDialog.h:34:0,
                 from ./src/addconstrainthandler.cpp:46:
./src/gui/BaseDialog.h:36:1: error: expected class-name before '{' token
./src/gui/BaseDialog.h:39:15: error: 'wxPoint' does not name a type
./src/gui/BaseDialog.h:39:30: error: ISO C++ forbids declaration of 'pos' with no type
./src/gui/BaseDialog.h:39:55: error: 'wxSize' does not name a type
./src/gui/BaseDialog.h:39:70: error: ISO C++ forbids declaration of 'size' with no type
./src/gui/BaseDialog.h:44:23: error: 'wxSizer' has not been declared
./src/gui/BaseDialog.h:44:42: error: 'wxSizer' has not been declared
./src/gui/BaseDialog.h:45:5: error: 'wxPanel' does not name a type
./src/gui/BaseDialog.h:76:19: error: 'wxRect' does not name a type
./src/gui/BaseDialog.h:83:5: error: 'wxPanel' does not name a type
./src/gui/BaseDialog.h:39:30: error: 'wxDefaultPosition' was not declared in this scope
./src/gui/BaseDialog.h:39:70: error: 'wxDefaultSize' was not declared in this scope
./src/gui/BaseDialog.h:40:22: error: 'wxDEFAULT_DIALOG_STYLE' was not declared in this scope
./src/gui/BaseDialog.h:40:47: error: 'wxRESIZE_BORDER' was not declared in this scope
In file included from ./src/addconstrainthandler.cpp:46:0:
./src/gui/MultilineEnterDialog.h:47:5: error: 'wxStaticText' does not name a type
./src/gui/MultilineEnterDialog.h:48:5: error: 'wxButton' does not name a type
./src/gui/MultilineEnterDialog.h:49:5: error: 'wxButton' does not name a type
./src/addconstrainthandler.cpp: In member function 'Table* AddConstraintHandler::selectTable(Database*, wxWindow*) const':
./src/addconstrainthandler.cpp:69:17: error: '::wxGetSingleChoiceIndex' has not been declared
./src/addconstrainthandler.cpp: In member function 'wxString AddConstraintHandler::selectAction(const wxString&, wxWindow*) const':
./src/addconstrainthandler.cpp:86:17: error: '::wxGetSingleChoiceIndex' has not been declared
./src/addconstrainthandler.cpp: In member function 'virtual bool AddConstraintHandler::handleURI(URI&)':
./src/addconstrainthandler.cpp:122:22: error: '::wxGetTextFromUser' has not been declared
./src/addconstrainthandler.cpp:178:9: error: '::wxMessageBox' has not been declared
make: *** [flamerobin_addconstrainthandler.o] Error 1
Any ideas about what is missing now?

Thanks,

Last edited by Robert.Thompson; 04-21-2011 at 11:05 AM. Reason: typo
 
Old 04-21-2011, 01:33 PM   #5
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014.08, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,272

Rep: Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663
This source : flamerobin_0.9.2.orig.tar.gz
http://ftp.de.debian.org/debian/pool....2.orig.tar.gz
... compiles OK with wxGTK version 2.8.11 .


'flamerobin-0.9.2' will also require libfbclient
http://www.slacky.eu/aadm/pkgs/index.php?sear=fbclient

..

Last edited by knudfl; 04-21-2011 at 01:38 PM.
 
Old 04-21-2011, 04:19 PM   #6
slakmagik
Senior Member
 
Registered: Feb 2003
Distribution: Slackware
Posts: 4,113

Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
This source : flamerobin_0.9.2.orig.tar.gz
http://ftp.de.debian.org/debian/pool....2.orig.tar.gz
... compiles OK with wxGTK version 2.8.11 .
I think the key is the wxGTK, not the source.

Quote:
Originally Posted by Robert.Thompson View Post
I installed wxX11.

Any ideas about what is missing now?
Quote:
Originally Posted by wxX11 README
This package is built with the '--disable-gui' flag
If you installed wx{Python,GTK} (and install the other deps as knudfl notes), it should work.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
"bad tty" & "file descriptor error" while building RPM on F13 gosssamer Linux - Software 7 12-28-2010 06:02 PM
ns:"error when calling class OldSim"&tclsh:"invalid command+child process exits abn." shojaru Linux - Newbie 0 03-05-2009 05:23 AM
slackware "current" problems after install on vmware jimp180 Slackware - Installation 2 07-17-2007 02:35 PM
"expert" install option for slackware-current? somae Slackware 1 06-30-2007 02:52 AM
iaxcomm "wxWindows" error on gentoo RWallett Linux - Software 1 02-28-2006 02:30 PM


All times are GMT -5. The time now is 12:24 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration